MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
PcmExport::Params Struct Reference

`#include <PcmExport.hxx>`

## Public Member Functions
gcc_pure unsigned | CalcOutputSampleRate (unsigned input_sample_rate) const
| Calculate the output sample rate, given a specific input sample rate. More...
gcc_pure unsigned | CalcInputSampleRate (unsigned output_sample_rate) const
| The inverse of CalcOutputSampleRate(). More...

## Data Fields
bool | alsa_channel_order = false
bool | shift8 = false
bool | pack24 = false
bool | reverse_endian = false

## Detailed Description

Definition at line 120 of file PcmExport.hxx.

## Member Function Documentation

gcc_pure unsigned PcmExport::Params::CalcInputSampleRate | ( | unsigned | output_sample_rate | ) | const

The inverse of CalcOutputSampleRate().

gcc_pure unsigned PcmExport::Params::CalcOutputSampleRate | ( | unsigned | input_sample_rate | ) | const

Calculate the output sample rate, given a specific input sample rate.

Usually, both are the same; however, with DSD_U32, four input bytes (= 4 * 8 bits) are combined to one output word (32 bits), dividing the sample rate by 4.

## Field Documentation

bool PcmExport::Params::alsa_channel_order = false

Definition at line 121 of file PcmExport.hxx.

bool PcmExport::Params::pack24 = false

Definition at line 128 of file PcmExport.hxx.

bool PcmExport::Params::reverse_endian = false

Definition at line 129 of file PcmExport.hxx.

bool PcmExport::Params::shift8 = false

Definition at line 127 of file PcmExport.hxx.

The documentation for this struct was generated from the following file:

- pcm/PcmExport.hxx